Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/promotions/{campaignId}/stacks \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "stack_p0WhtyyDU95crobleMpRabhH",
"name": "First stack",
"created_at": "2022-09-22T13:03:25.740Z",
"campaign_id": "camp_99HUWI53bVyLzPN1Fg5TBLWX",
"object": "promotion_stack",
"tiers": {
"ids": [
"promo_dJNhAEeV5sR5oPQq1UrUdnMC",
"promo_aaAF8mVAzA0PF1igia2OC63d"
],
"hierarchy_mode": "MANUAL"
}
},
{
"id": "stack_XAzn8AFR3Ks3DBPLAQxV7zHe",
"name": "Second stack",
"created_at": "2022-09-22T13:03:25.903Z",
"campaign_id": "camp_99HUWI53bVyLzPN1Fg5TBLWX",
"object": "promotion_stack",
"tiers": {
"ids": [
"promo_aaAF8mVAzA0PF1igia2OC63d",
"promo_dJNhAEeV5sR5oPQq1UrUdnMC"
],
"hierarchy_mode": "MANUAL"
}
}
],
"total": 2
}This method enables you to list promotion stacks from a specified campaign.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/promotions/{campaignId}/stacks \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "stack_p0WhtyyDU95crobleMpRabhH",
"name": "First stack",
"created_at": "2022-09-22T13:03:25.740Z",
"campaign_id": "camp_99HUWI53bVyLzPN1Fg5TBLWX",
"object": "promotion_stack",
"tiers": {
"ids": [
"promo_dJNhAEeV5sR5oPQq1UrUdnMC",
"promo_aaAF8mVAzA0PF1igia2OC63d"
],
"hierarchy_mode": "MANUAL"
}
},
{
"id": "stack_XAzn8AFR3Ks3DBPLAQxV7zHe",
"name": "Second stack",
"created_at": "2022-09-22T13:03:25.903Z",
"campaign_id": "camp_99HUWI53bVyLzPN1Fg5TBLWX",
"object": "promotion_stack",
"tiers": {
"ids": [
"promo_aaAF8mVAzA0PF1igia2OC63d",
"promo_dJNhAEeV5sR5oPQq1UrUdnMC"
],
"hierarchy_mode": "MANUAL"
}
}
],
"total": 2
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Unique campaign ID.
"camp_rRsfatlwN7unSeUIJDCYedal"
Returns a list of promotion stack objects.
Response body schema for GET v1/promotions/stacks and for GET v1/promotions/{campaignId}/stacks.
The type of the object represented by JSON. This object stores information about promotion stacks in a dictionary.
list Identifies the name of the attribute that contains the array of promotion stack objects.
data Contains array of promotion stack objects.
Show child attributes
Total number of promotion stacks.
x >= 0Was this page helpful?